Renderd7-nightly v0.7.0

Private Attributes | List of all members
nlohmann::detail::input_stream_adapter Class Reference

`#include <json.hpp>`

## Private Attributes
std::istream * | is = nullptr
| the associated input stream

## Detailed Description

Input adapter for a (caching) istream. Ignores a UFT Byte Order Mark at beginning of input. Does not support changing the underlying std::streambuf in mid-input. Maintains underlying std::istream and std::streambuf to support subsequent use of standard std::istream operations to process any input characters following those used in parsing the JSON input. Clears the std::istream flags; any input errors (e.g., EOF) will be detected by the first subsequent call for input from the std::istream.